unwrapdups {limma} | R Documentation

## Unwrap Duplicate Spot Values from Rows into Columns

### Description

Reshape a matrix so that a set of consecutive rows becomes a single row in the output.

### Usage

    unwrapdups(M,ndups=2,spacing=1)

### Arguments

`M` | a matrix.
`ndups` | number of duplicate spots. The number of rows of M must be divisible by `ndups`.
`spacing` | the spacing between the rows of `M` corresponding to duplicate spots, `spacing=1` for consecutive spots

### Details

This function is used on matrices corresponding to a series of microarray experiments. Rows corresponding to duplicate spots are re-arranged to that all values corresponding to a single gene are on the same row. This facilitates fitting models or computing statistics for each gene.

### Value

A matrix containing the same values as `M` but with fewer rows and more columns by a factor of `ndups`. Each set of `ndups` rows in `M` is strung out to a single row so that duplicate values originally in consecutive rows in the same column are in consecutive columns in the output.

### Author(s)

Gordon Smyth

### Examples

    M <- matrix(1:12,6,2)
    unwrapdups(M,ndups=2)
    unwrapdups(M,ndups=3)
    unwrapdups(M,ndups=2,spacing=3)

[Package limma version 2.16.5 Index]